#
# spec file for package nodejs-which
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define base_name which

Name:           nodejs-which
Version:        1.1.1
Release:        13.1
Summary:        A which(1) command for node.js
License:        ISC
Group:          Development/Languages/Other
Url:            https://github.com/isaacs/which
Source:         http://registry.npmjs.org/%{base_name}/-/%{base_name}-%{version}.tgz
BuildRequires:  nodejs-packaging
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%nodejs_find_provides_and_requires

%description
Finds the first instance of a specified executable in the PATH environment variable. Does not cache the results, so hash -r is not needed when the PATH changes. 

%prep
%setup -q -n package

%build

%install
mkdir -p %{buildroot}%{nodejs_modulesdir}/%{base_name}
cp -pr package.json which.js \
        %{buildroot}%{nodejs_modulesdir}/%{base_name}/

%files
%defattr(-,root,root,-)
%doc README.md LICENSE
%{nodejs_modulesdir}/%{base_name}

%changelog
* Sat Jun  6 2015 i@marguerite.su
- update version 1.1.1
* Fri Apr 24 2015 hvogel@suse.com
- Update to version 1.0.9
* Sat Apr  4 2015 dmueller@suse.com
- enable building for all arches
* Thu Oct  9 2014 jgleissner@suse.com
- use nodejs-packaging for building
* Sun Sep 21 2014 i@marguerite.su
- format specfile
* Mon Aug 18 2014 jgleissner@suse.com
- Initial build
